# Redeem

The redeem function converts a specified quantity of aTokens into the underlying asset, and returns them to the user. The amount of underlying tokens received is equal to the quantity of aTokens redeemed, multiplied by the current [Exchange Rate](/atokens/exchange-rate.md). The amount redeemed must be less than the user's [Account Liquidity](/comptroller/get-account-liquidity.md) and the market's available liquidity.

**SErc20 / SEther**

```
function redeem(uint redeemTokens) returns (uint)
```

* `msg.sender`: The account to which redeemed funds shall be transferred.
* `redeemTokens`: The number of aTokens to be redeemed.
* `RETURN`: 0 on success, otherwise an [Error code](/atokens/error-codes.md)

**Solidity**

```
SEther aToken = SEther(0x3FDB...);
require(aToken.redeem(7) == 0, "something went wrong");
```

**Web3 1.0**

```javascript
const aToken = SErc20.at(0x3FDA...);
aToken.methods.redeem(1).send({from: ...});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/atokens/redeem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
